Method: accountTypes.accounts.userListGlobalLicenses.userListGlobalLicenseCustomerInfos.list

Lists all customer info for a user list global license.

This feature is only available to data partners.

HTTP request

GET https://datamanager.googleapis.com/v1/{parent=accountTypes/*/accounts/*/userListGlobalLicenses/*}/userListGlobalLicenseCustomerInfos

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The global license whose customer info are being queried. Should be in the format accountTypes/{ACCOUNT_TYPE}/accounts/{ACCOUNT_ID}/userListGlobalLicenses/{USER_LIST_GLOBAL_LICENSE_ID}. To list all global license customer info under an account, replace the user list global license id with a '-' (for example, accountTypes/DATA_PARTNER/accounts/123/userListGlobalLicenses/-)

Query parameters

Parameters
filter

string

Optional. A filter string to apply to the list request. All fields need to be on the left hand side of each condition (for example: user_list_id = 123). Fields must be specified using either all camel case or all snake case. Don't use a combination of camel case and snake case.

Supported Operations:

  • AND
  • =
  • !=
  • >
  • >=
  • <
  • <=

Unsupported Fields:

  • name (use get method instead)
  • historical_pricings and all its subfields
  • pricing.start_time
  • pricing.end_time
pageSize

integer

Optional. The maximum number of licenses to return. The service may return fewer than this value. If unspecified, at most 50 licenses will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken

string

Optional. A page token, received from a previous ListUserListDirectLicense call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to ListUserListDirectLicense must match the call that provided the page token.

Request body

The request body must be empty.

Response body

Response from the [ListUserListGlobalLicensesCustomerInfoRequest][google.ads.datamanager.v1.ListUserListGlobalLicensesCustomerInfoRequest].

If successful, the response body contains data with the following structure:

JSON representation
{
  "userListGlobalLicenseCustomerInfos": [
    {
      object (UserListGlobalLicenseCustomerInfo)
    }
  ],
  "nextPageToken": string
}
Fields
userListGlobalLicenseCustomerInfos[]

object (UserListGlobalLicenseCustomerInfo)

The customer information for the given license in the request.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/datamanager

UserListGlobalLicenseCustomerInfo

Information about a customer of a user list global license. This will automatically be created by the system when a customer purchases a global license.

JSON representation
{
  "name": string,
  "userListId": string,
  "userListDisplayName": string,
  "licenseType": enum (UserListGlobalLicenseType),
  "status": enum (UserListLicenseStatus),
  "pricing": {
    object (UserListLicensePricing)
  },
  "clientAccountType": enum (UserListLicenseClientAccountType),
  "clientAccountId": string,
  "clientAccountDisplayName": string,
  "historicalPricings": [
    {
      object (UserListLicensePricing)
    }
  ],
  "metrics": {
    object (UserListLicenseMetrics)
  }
}
Fields
name

string

Identifier. The resource name of the user list global license customer.

userListId

string (int64 format)

Output only. ID of the user list being licensed.

userListDisplayName

string

Output only. Name of the user list being licensed.

licenseType

enum (UserListGlobalLicenseType)

Output only. Product type of client customer which the user list is being licensed to.

status

enum (UserListLicenseStatus)

Output only. Status of UserListDirectLicense - ENABLED or DISABLED.

pricing

object (UserListLicensePricing)

Output only. UserListDirectLicense pricing.

clientAccountType

enum (UserListLicenseClientAccountType)

Output only. Product type of client customer which the user list is being licensed to.

clientAccountId

string (int64 format)

Output only. ID of client customer which the user list is being licensed to.

clientAccountDisplayName

string

Output only. Name of client customer which the user list is being licensed to.

historicalPricings[]

object (UserListLicensePricing)

Output only. Pricing history of this user list license.

metrics

object (UserListLicenseMetrics)

Output only. Metrics related to this license

This field is only populated if the start and end dates are set in the userListGlobalLicenseCustomerInfos.list call.